using MECF.Framework.Common.Account.Extends;
using MECF.Framework.Common.Account.Permissions;

namespace MECF.Framework.Common.MECF.Framework.Common.Account.Extends
{
    /// <summary>
    /// 只读权限的角色。
    /// </summary>
    public class ReadOnlyRole : Role
    {
        #region Constructors

        public ReadOnlyRole() : base("-1", "ReadOnly", false, 0, null, true, "")
        {

        }

        #endregion

        public override MenuPermissionEnum GetPermission(string name)
        {
            return MenuPermissionEnum.MP_NONE;
        }
    }
}
